Jifty::View(3)

NAME
Jifty::View - Base class for view modules

DESCRIPTION
This is the base class for Jifty::View::Declare and Jifty::View::Mason::Handler, which are the two view plugins shipped with Jifty. Other view plugins can be built by extending this class.

METHODS

  auto_send_headers
Doesn't send headers if this is a subrequest (according to the current Jifty::Request).

  out_method
The default output method. Sets the content-type to "text/html; charset=utf-8" unless a content type has already been set, and then sends a header if need be.

SEE ALSO
Jifty::View::Declare, Jifty::View::Declare::BaseClass, Jifty::View::Mason::Handler

LICENSE
Jifty is Copyright 2005-2010 Best Practical Solutions, LLC. Jifty is distributed under the same terms as Perl itself.